Update a draft VOD's editable metadata. Server-authoritative fields (source, durationMs, status) are preserved. Editing is allowed in any status, so the user can pre-fill metadata while processing. All fields except uri are optional (partial update).
Request Body required
Section titled “Request Body required ”object
The ats:// URI of the draft to update.
Annotation of a sub-string within rich text in a VOD description or comment.
object
Specifies the sub-string range a facet feature applies to. Start index is inclusive, end index is exclusive. Indices are zero-indexed, counting bytes of the UTF-8 encoded text. NOTE: some languages, like Javascript, use UTF-16 or Unicode codepoints for string slice indexing; in these languages, convert to byte arrays before working with facets.
object
Facet feature for mention of another account. The text is usually a handle, including a ’@’ prefix, but the facet reference is a DID.
object
Facet feature for a URL. The text URL may have been simplified or truncated, but the facet reference should be a complete URL.
object
Content warnings for a stream.
object
Content rights and attribution information.
object
Name of the creator of the work.
Copyright notice for the work.
Year of creation or publication.
License URL or identifier.
Credit line for the work.
Responses
Section titled “ Responses ”Success
object
A draft VOD with its ats:// URI and CID, for list/get responses.
object
The ats:// URI of the draft record.
CID (sha256 of CBOR record bytes, base32) of the draft record.
The place.stream.vod.draftVideo record body. Typed as unknown (matching commentView/livestreamView/videoView) because the @atproto/api client validator cannot validate a ref to a record-type lexicon.
Bad Request